mixed-port: 7890
allow-lan: false
mode: rule
ipv6: false
log-level: info
external-controller: 0.0.0.0:9090
dns:
  enable: true
  listen: 0.0.0.0:53
  ipv6: false
  default-nameserver:
    - 223.5.5.5
    - 114.114.114.114
  nameserver:
    - 223.5.5.5
    - 114.114.114.114
    - 119.29.29.29
    - 180.76.76.76
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  fake-ip-filter:
    - "*.lan"
    - "*.localdomain"
    - "*.example"
    - "*.invalid"
    - "*.localhost"
    - "*.test"
    - "*.local"
    - "*.home.arpa"
    - router.asus.com
    - localhost.sec.qq.com
    - localhost.ptlogin2.qq.com
    - +.msftconnecttest.com
tun:
  enable: true
  stack: system
  auto-route: true
  auto-detect-interface: true
  dns-hijack:
    - 114.114.114.114
    - 180.76.76.76
    - 119.29.29.29
    - 223.5.5.5
    - 8.8.8.8
    - 8.8.4.4
    - 1.1.1.1
    - 1.0.0.1


proxies:
  - type: vmess
    name: 🇭🇰 HK_183
    server: 457a1492-sv4n40-t6kzbp-1h5u7.hk3.p5pv.com
    port: 80
    uuid: e3fdbd22-8c17-11ee-ace4-f23c913c8d2b
    alterId: 2
    network: ws
    cipher: auto
    servername: broadcastlv.chat.bilibili.com
    ws-opts:
      path: /
      headers:
        Host: broadcastlv.chat.bilibili.com
  - type: vmess
    name: 🇭🇰 HK_136
    server: 0afadb4a-sv4n40-tc61cs-1tja8.hk3.p5pv.com
    port: 80
    uuid: d2f0bee2-02f1-11f0-8eb0-f23c9164ca5d
    alterId: 2
    network: ws
    cipher: auto
    servername: broadcastlv.chat.bilibili.com
    ws-opts:
      path: /
      headers:
        Host: broadcastlv.chat.bilibili.com
  - type: vmess
    name: 🇭🇰HK-1.36.218.178-5158
    server: 033d62df-sv4n40-tcsjnd-1tff5.hk3.p5pv.com
    port: 80
    uuid: dfb6b402-f422-11ef-80e5-f23c9164ca5d
    alterId: 2
    network: ws
    cipher: auto
    servername: 033d62df-sv4n40-tcsjnd-1tff5.hk3.p5pv.com
    ws-opts:
      path: /
      headers:
        Host: 033d62df-sv4n40-tcsjnd-1tff5.hk3.p5pv.com
  - type: vmess
    name: 🇭🇰HK-1.36.223.11-5391
    server: 5e4f31de-sv0xs0-sv0wpw-17xo8.hk3.p5pv.com
    port: 80
    uuid: b4e40aa2-74a1-11ed-b0b5-f23c9164ca5d
    alterId: 2
    network: ws
    cipher: auto
    servername: 5e4f31de-sv0xs0-sv0wpw-17xo8.hk3.p5pv.com
    ws-opts:
      path: /
      headers:
        Host: 5e4f31de-sv0xs0-sv0wpw-17xo8.hk3.p5pv.com
  - type: vmess
    name: 🇭🇰HK-1.36.223.11-4974
    server: 80f0806d-szg740-t41p4y-1hpo0.hk3.p5pv.com
    port: 80
    uuid: c3dc8d26-ab2b-11ec-a8bf-f23c91cfbbc9
    alterId: 2
    network: ws
    cipher: auto
    servername: 80f0806d-szg740-t41p4y-1hpo0.hk3.p5pv.com
    ws-opts:
      path: /
      headers:
        Host: 80f0806d-szg740-t41p4y-1hpo0.hk3.p5pv.com
  - type: vmess
    name: 🇭🇰 HK_186
    server: 7dfe4b59-svc1s0-tc67m2-1tjc4.hk3.p5pv.com
    port: 80
    uuid: fac704ae-0304-11f0-a2ef-f23c91cfbbc9
    alterId: 2
    network: ws
    cipher: auto
    servername: 7dfe4b59-svc1s0-tc67m2-1tjc4.hk3.p5pv.com
    ws-opts:
      path: /
      headers:
        Host: 7dfe4b59-svc1s0-tc67m2-1tjc4.hk3.p5pv.com
  - type: vmess
    name: 🇭🇰 HK_177
    server: 659ce73e-sv2sg0-tcsjnd-1tff5.hk3.p5pv.com
    port: 80
    uuid: dfb6b402-f422-11ef-80e5-f23c9164ca5d
    alterId: 2
    network: ws
    cipher: auto
    servername: broadcastlv.chat.bilibili.com
    ws-opts:
      path: /
      headers:
        Host: broadcastlv.chat.bilibili.com
  - type: vmess
    name: 🇭🇰HK-1.65.208.140-0339
    server: 6de4b9d4-suk9s0-t8ro7t-1ey07.hk3.p5pv.com
    port: 80
    uuid: 203d1d64-3313-11ed-bb74-f23c9164ca5d
    alterId: 2
    network: ws
    cipher: auto
    servername: 6de4b9d4-suk9s0-t8ro7t-1ey07.hk3.p5pv.com
    ws-opts:
      path: /
      headers:
        Host: 6de4b9d4-suk9s0-t8ro7t-1ey07.hk3.p5pv.com
  - type: vmess
    name: 🇭🇰HK-1.36.218.178-5373
    server: 87a8ce25-sv2sg0-tbicd9-1go3q.hk3.p5pv.com
    port: 80
    uuid: 19dd9c70-e4a5-11ed-8347-f23c9164ca5d
    alterId: 2
    network: ws
    cipher: auto
    servername: 87a8ce25-sv2sg0-tbicd9-1go3q.hk3.p5pv.com
    ws-opts:
      path: /
      headers:
        Host: 87a8ce25-sv2sg0-tbicd9-1go3q.hk3.p5pv.com
  - type: vmess
    name: 🇭🇰 HK_134
    server: 418446e2-sv2sg0-t2nkut-jx5r.hk3.p5pv.com
    port: 80
    uuid: 73bfcc1c-5814-5f2a-b43a-3ef6af011db8
    alterId: 2
    network: ws
    cipher: auto
    servername: broadcastlv.chat.bilibili.com
    ws-opts:
      path: /
      headers:
        Host: broadcastlv.chat.bilibili.com
  - type: vmess
    name: 🇭🇰HK-1.36.223.11-5288
    server: 4bbf82ea-t0bog0-ta64ri-1qzi1.hk3.p5pv.com
    port: 80
    uuid: 8f99107c-f091-11ee-9935-f23c9164ca5d
    alterId: 2
    network: ws
    cipher: auto
    servername: 4bbf82ea-t0bog0-ta64ri-1qzi1.hk3.p5pv.com
    ws-opts:
      path: /
      headers:
        Host: 4bbf82ea-t0bog0-ta64ri-1qzi1.hk3.p5pv.com
  - type: vmess
    name: 🇨🇳 中国 V2CROSS.COM
    server: v12.hdacd.com
    port: 30812
    uuid: cbb3f877-d1fb-344c-87a9-d153bffd5484
    alterId: 0
    network: tcp
    cipher: auto
    servername: v12.hdacd.com
  - type: vmess
    name: 🇭🇰 HK_176
    server: a58b4c29-sv4n40-syfj90-1r9dt.hk3.p5pv.com
    port: 80
    uuid: de003c72-0157-11ef-86da-f23c91cfbbc9
    alterId: 2
    network: ws
    cipher: auto
    servername: broadcastlv.chat.bilibili.com
    ws-opts:
      path: /
      headers:
        Host: broadcastlv.chat.bilibili.com
  - type: vmess
    name: 🇭🇰 HK_188
    server: 865c5c01-sv4n40-t65a3e-tqgz.hk3.p5pv.com
    port: 80
    uuid: 88da0d21-b25d-11ec-b9f7-f23c91cfbbc9
    alterId: 2
    network: ws
    cipher: auto
    servername: broadcastlv.chat.bilibili.com
    ws-opts:
      path: /
      headers:
        Host: broadcastlv.chat.bilibili.com
  - type: vmess
    name: 🇭🇰HK-1.36.218.178-5151
    server: 73d73acd-sv2sg0-t7bo2t-1psmw.hk3.p5pv.com
    port: 80
    uuid: 42bb6d36-97c7-11ee-be7f-f23c9164ca5d
    alterId: 2
    network: ws
    cipher: auto
    servername: 73d73acd-sv2sg0-t7bo2t-1psmw.hk3.p5pv.com
    ws-opts:
      path: /
      headers:
        Host: 73d73acd-sv2sg0-t7bo2t-1psmw.hk3.p5pv.com
  - type: vmess
    name: 🇭🇰 HK_149
    server: c5765779-sv2sg0-syu0n5-1hd7v.hk3.p5pv.com
    port: 80
    uuid: f73c64bc-9e8c-11ec-bd7c-f23c913c8d2b
    alterId: 2
    network: ws
    cipher: auto
    servername: broadcastlv.chat.bilibili.com
    ws-opts:
      path: /
      headers:
        Host: broadcastlv.chat.bilibili.com
  - type: vmess
    name: 🇭🇰 HK_160
    server: a731a8b3-sv2sg0-sy1a0y-1iyov.hk3.p5pv.com
    port: 80
    uuid: 33629870-e57e-11ec-bb74-f23c9164ca5d
    alterId: 2
    network: ws
    cipher: auto
    servername: broadcastlv.chat.bilibili.com
    ws-opts:
      path: /
      headers:
        Host: broadcastlv.chat.bilibili.com
  - type: vmess
    name: 🇭🇰 HK_213
    server: 93933a41-sv0xs0-t1jamc-1fvdh.hk3.p5pv.com
    port: 80
    uuid: 9e1ddc04-073b-11ed-bd7c-f23c913c8d2b
    alterId: 2
    network: ws
    cipher: auto
    servername: broadcastlv.chat.bilibili.com
    ws-opts:
      path: /
      headers:
        Host: broadcastlv.chat.bilibili.com
  - type: vmess
    name: 🇭🇰 HK_135
    server: 04165a49-sv2sg0-t5cryd-4w8.hk3.p5pv.com
    port: 80
    uuid: ba7a37e3-033a-e1ab-06f6-9027aa4630f5
    alterId: 2
    network: ws
    cipher: auto
    servername: broadcastlv.chat.bilibili.com
    ws-opts:
      path: /
      headers:
        Host: broadcastlv.chat.bilibili.com
  - type: vmess
    name: 🇭🇰HK-1.36.218.178-5027
    server: 5c4dc91c-sv2sg0-tbnucr-1thfv.hk3.p5pv.com
    port: 80
    uuid: 0a4d1c88-fb3a-11ef-8c3f-f23c913c8d2b
    alterId: 2
    network: ws
    cipher: auto
    servername: 5c4dc91c-sv2sg0-tbnucr-1thfv.hk3.p5pv.com
    ws-opts:
      path: /
      headers:
        Host: 5c4dc91c-sv2sg0-tbnucr-1thfv.hk3.p5pv.com
  - type: vmess
    name: _16
    server: 34013157-sunz40-taz53d-1j0y6.hk3.p5pv.com
    port: 80
    uuid: 1cce7df2-251c-11ee-9409-f23c9164ca5d
    alterId: 2
    network: ws
    cipher: auto
  - type: vmess
    name: 🇭🇰 HK_139
    server: 0f64e685-sv0xs0-svwnuh-1t4wg.hk3.p5pv.com
    port: 80
    uuid: 1b13e20c-e778-11ef-907f-f23c913c8d2b
    alterId: 2
    network: ws
    cipher: auto
    servername: broadcastlv.chat.bilibili.com
    ws-opts:
      path: /
      headers:
        Host: broadcastlv.chat.bilibili.com
  - type: vmess
    name: 🇭🇰 HK_119
    server: 814047e3-sv2sg0-t09t13-z7a1.hk3.p5pv.com
    port: 80
    uuid: 3bd247a8-993e-11ec-a8bf-f23c91cfbbc9
    alterId: 2
    network: ws
    cipher: auto
    servername: broadcastlv.chat.bilibili.com
    ws-opts:
      path: /
      headers:
        Host: broadcastlv.chat.bilibili.com
  - type: vmess
    name: 🇭🇰 HK_182
    server: c7f55f8c-sv2sg0-t15jkc-eyem.hk3.p5pv.com
    port: 80
    uuid: 64617ed2-4823-11ef-9f2d-f23c9164ca5d
    alterId: 2
    network: ws
    cipher: auto
    servername: broadcastlv.chat.bilibili.com
    ws-opts:
      path: /
      headers:
        Host: broadcastlv.chat.bilibili.com
  - type: vmess
    name: 🇭🇰HK-1.36.223.11-0701
    server: 4020d7a1-sv0xs0-swkmdk-1imi4.hk3.p5pv.com
    port: 80
    uuid: 40fb1315-191a-11ed-b0ca-f23c91cfbbc9
    alterId: 2
    network: ws
    cipher: auto
    servername: broadcastlv.chat.bilibili.com
    ws-opts:
      path: /
      headers:
        Host: broadcastlv.chat.bilibili.com
  - type: vmess
    name: 🇭🇰 HK_143
    server: 12988683-sv2sg0-t2whio-1jcwu.hk3.p5pv.com
    port: 80
    uuid: f93486ce-cc84-11ed-9e98-f23c913c8d2b
    alterId: 2
    network: ws
    cipher: auto
    servername: broadcastlv.chat.bilibili.com
    ws-opts:
      path: /
      headers:
        Host: broadcastlv.chat.bilibili.com
proxy-groups:
  - name: 🚀 节点选择
    type: select
    proxies:
      - ♻️ 自动选择
      - DIRECT
      - 🇭🇰 HK_183
      - 🇭🇰 HK_136
      - 🇭🇰HK-1.36.218.178-5158
      - 🇭🇰HK-1.36.223.11-5391
      - 🇭🇰HK-1.36.223.11-4974
      - 🇭🇰 HK_186
      - 🇭🇰 HK_177
      - 🇭🇰HK-1.65.208.140-0339
      - 🇭🇰HK-1.36.218.178-5373
      - 🇭🇰 HK_134
      - 🇭🇰HK-1.36.223.11-5288
      - 🇨🇳 中国 V2CROSS.COM
      - 🇭🇰 HK_176
      - 🇭🇰 HK_188
      - 🇭🇰HK-1.36.218.178-5151
      - 🇭🇰 HK_149
      - 🇭🇰 HK_160
      - 🇭🇰 HK_213
      - 🇭🇰 HK_135
      - 🇭🇰HK-1.36.218.178-5027
      - _16
      - 🇭🇰 HK_139
      - 🇭🇰 HK_119
      - 🇭🇰 HK_182
      - 🇭🇰HK-1.36.223.11-0701
      - 🇭🇰 HK_143
  - name: ♻️ 自动选择
    type: url-test
    proxies:
      - 🇭🇰 HK_183
      - 🇭🇰 HK_136
      - 🇭🇰HK-1.36.218.178-5158
      - 🇭🇰HK-1.36.223.11-5391
      - 🇭🇰HK-1.36.223.11-4974
      - 🇭🇰 HK_186
      - 🇭🇰 HK_177
      - 🇭🇰HK-1.65.208.140-0339
      - 🇭🇰HK-1.36.218.178-5373
      - 🇭🇰 HK_134
      - 🇭🇰HK-1.36.223.11-5288
      - 🇨🇳 中国 V2CROSS.COM
      - 🇭🇰 HK_176
      - 🇭🇰 HK_188
      - 🇭🇰HK-1.36.218.178-5151
      - 🇭🇰 HK_149
      - 🇭🇰 HK_160
      - 🇭🇰 HK_213
      - 🇭🇰 HK_135
      - 🇭🇰HK-1.36.218.178-5027
      - _16
      - 🇭🇰 HK_139
      - 🇭🇰 HK_119
      - 🇭🇰 HK_182
      - 🇭🇰HK-1.36.223.11-0701
      - 🇭🇰 HK_143
    url: http://www.gstatic.com/generate_204
    interval: 300
  - name: 🎯 全球直连
    type: select
    proxies:
      - DIRECT
      - 🚀 节点选择
      - ♻️ 自动选择
  - name: 🛑 全球拦截
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🐟 漏网之鱼
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - ♻️ 自动选择
      - 🇭🇰 HK_183
      - 🇭🇰 HK_136
      - 🇭🇰HK-1.36.218.178-5158
      - 🇭🇰HK-1.36.223.11-5391
      - 🇭🇰HK-1.36.223.11-4974
      - 🇭🇰 HK_186
      - 🇭🇰 HK_177
      - 🇭🇰HK-1.65.208.140-0339
      - 🇭🇰HK-1.36.218.178-5373
      - 🇭🇰 HK_134
      - 🇭🇰HK-1.36.223.11-5288
      - 🇨🇳 中国 V2CROSS.COM
      - 🇭🇰 HK_176
      - 🇭🇰 HK_188
      - 🇭🇰HK-1.36.218.178-5151
      - 🇭🇰 HK_149
      - 🇭🇰 HK_160
      - 🇭🇰 HK_213
      - 🇭🇰 HK_135
      - 🇭🇰HK-1.36.218.178-5027
      - _16
      - 🇭🇰 HK_139
      - 🇭🇰 HK_119
      - 🇭🇰 HK_182
      - 🇭🇰HK-1.36.223.11-0701
      - 🇭🇰 HK_143